org.keycloak.social.twitter

## Class TwitterProvider

- java.lang.Object
- - org.keycloak.social.twitter.TwitterProvider

- All Implemented Interfaces:
    SocialProvider

      public class TwitterProvider
      extends Object
      implements SocialProvider

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TwitterProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthRequest` | `getAuthUrl(ClientSessionModel clientSession, SocialProviderConfig config, String state)`
    `String` | `getId()`
    `String` | `getName()`
    `SocialUser` | `processCallback(ClientSessionModel clientSession, SocialProviderConfig config, AuthCallback callback)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TwitterProvider

          public TwitterProvider()

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `SocialProvider`

    - #### getAuthUrl

          public AuthRequest getAuthUrl(ClientSessionModel clientSession,
                               SocialProviderConfig config,
                               String state)
                                 throws SocialProviderException

      Specified by:
        `getAuthUrl` in interface `SocialProvider`
      Throws:
        `SocialProviderException`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `SocialProvider`

    - #### processCallback

          public SocialUser processCallback(ClientSessionModel clientSession,
                                   SocialProviderConfig config,
                                   AuthCallback callback)
                                     throws SocialProviderException

      Specified by:
        `processCallback` in interface `SocialProvider`
      Throws:
        `SocialProviderException`

Copyright © 2015. All Rights Reserved.